This endpoint used for creation of new user in the system. In addition when called just using user_id the same endpoint is used for re-activating the user in the system. If the user is in locked state.
The user information that needs to be colleted in the system depends on the country of issuance of the program.
Note
Mobile number and email combination is unique individually in the system. For a given program if mobile number is already in use and that account is in active or locked state the same mobile number cannot be used for new account creation. It can only be re-used if the original account is in blocked state. Similarly for a given program if email is already in use and the account is in active or locked state the same email cannot be used for another user. It can only be re-used if the account is in blocked state.
Note
Do note when this endpoint is called in context of user re-activation only user_id is required.
Note
Blocked accounts cannot be re-activated
Header Parameters
Authorizationstring
Body Parameters
idstring
first_namestring
First name or given name
Max length
50
last_namestring
Last name or family name
Max length
50
middle_namestring
User Middle name
Max length
50
preferred_namestring
Prefereed name
Max length
25
emailstring
Registration email for the user to be created in the MatchMove system for a particular program.
mobile_country_codestring
Supported Country codes for the program can be retrieved from GET /users/enumerations/mobile_country_codes
passwordstring
Minimum 8 Characters , One special character , One number , One small character
mobilestring
Mobile number of the user
titlestring
Title to be set like mr/miss etc
Enum values:
MrMissDrMrsMadam
id_typestring
Id type to be set. Available values can be retrieved from GET /users/enumerations/id_types
id_numberstring
Id number to be unique
id_date_expirystring
Id type expiry date in standard date format
id_date_issuestring
Issued date of id type in standard date format
country_of_issuestring
Country that issued your id type. Supported values can be retrieved from GET /users/enumerations/countries
alt_id_typestring
alternative id type
alt_id_numberstring
Alternative id type number to be unique
alt_id_date_expirystring
Alternative id type expiry date in standard date format
alt_id_date_issuestring
Alternative id type issued date in standard date format
alt_id_country_of_issuestring
Alternative Id type issuance country
birthdaystring
Birthday of the user registered in matchmove system in standard date format
place_of_birthstring
Place where you have born
nationalitystring
User Nationality. Supported values can be retrieved from GET /users/enumerations/nationalities
genderstring
User Gender. Supported values can be retreived from GET /users/enumerations/genders
marital_statusstring
User marital Status. Supported values can be retreived from GET /users/enumerations/marital_status
mothers_maiden_namestring
Mother's maiden name
mothers_first_namestring
Mother's first name.
Supported values must be letters and spaces
Max length
50
mothers_last_namestring
Mother's last name.
Supported values must be letters and spaces
Max length
50
nature_of_businessstring
Nature of your business
customer_idstring
Customer id to be passed
Max length
50
purpose_of_accountstring
Purpose of your account
partner_idstring
Partner id to be passed
Max length
50
client_reference_idstring
Client Reference ID to be passed
Max length
50
agent_idstring
Agent ID to be passed
Max length
50
employer_namestring
Employer Name to be passed
Max length
50
employment_typestring
User Employment Type. Supported values can be retreived from GET /users/enumerations/employment_type
Max length
100
source_of_fundsstring
Source of Funds to be passed
Max length
100
occupationstring
User Occupation. Supported values can be retreived from GET /users/enumerations/occupation
Max length
100
volume_of_assetsstring
Volume of Assets. Supported values can be retreived from GET /users/enumerations/volume_of_assets
Max length
100
Response
200
Object
OK
Response Attributes
idstring Required
Pattern
^[a-zA-Z0-9]*
readOnly
emailstring Required
Registration email for the user to be created in the MatchMove system for a particular program.
nameobject Required
User Name Object
Show child attributes
mobileobject Required
Show child attributes
identificationobject
Show child attributes
countryofissuestring
Country of issue of registration documents for the users in the MatchMove system
Nullable:
True
country_of_issuestring
Country of issue of registration documents for the users in the MatchMove system
Nullable:
True
country_code_of_issuestring
Country of issue of registration documents for the users in the MatchMove system
Nullable:
True
alt_identificationobject
Show child attributes
alt_id_countryofissuestring
Country of issue of secondary registration documents for the users in the MatchMove system
Nullable:
True
alt_id_country_code_of_issuestring
Country of issue of secondary registration documents for the users in the MatchMove system
Nullable:
True
birthdaystring
Birthday of the user registered in the MatchMove system. The value is expected to match the value provided in documents for the KYC process.
Nullable:
True
place_of_birthstring
genderstring
Nullable:
True
nationalitystring
titlestring
marital_statusstring
mothers_maiden_namestring
mothers_first_namestring
Mother's first name
mothers_last_namestring
Mother's last name
customer_idstring
Nullable:
True
statusobject Required
Show child attributes
dateobject Required
Show child attributes
partner_idstring
Nullable:
True
risk_assessment_statusstring
Risk Evaluation of the User
Enum values:
PENDINGCLEAREDREJECTEDUNKNOWN
client_reference_idstring
Nullable:
True
agent_idstring
Nullable:
True
employer_namestring
Employer name for the users in the MatchMove system
Nullable:
True
employment_typestring
Employment type for the users in the MatchMove system. Supported values can be retreived from GET /users/enumerations/employment_type
Nullable:
True
source_of_fundsstring
Source of funds for user in MatchMove System
Nullable:
True
occupationstring
Occupation for user in MatchMove System. Supported values can be retreived from GET /users/enumerations/occupation
Nullable:
True
volume_of_assetsstring
Volume of Assets for the users in the MatchMove system. Supported values can be retreived from GET /users/enumerations/volume_of_assets
Nullable:
True
nature_of_businessstring
Nature of business
Nullable:
True
purpose_of_accountstring
Purpose of Account
Nullable:
True
account_typestring
Account type of the User
Enum values:
individualbusiness
linksarray
Show child attributes
400
Object
Bad Request
| Code | Description |
| :---------- | :---------- |
| resource_user_customer_id_in_use | Parameter `customer_id` is already in use |
| resource_id_type_unique | maximum allowed limit for re-using `id_number` reached |
| resource_user_id_date_expiry_invalid | Parameter `id_date_expiry` is invalid |
| resource_user_country_of_issue_invalid | `country_of_issue` is invalid |
| resource_user_birthday_invalid | User `birthday` is invalid. Please make sure it is in ISO 8601 format |
| resource_user_birthday_not_allowed | `birthday` is invalid. User must meet the age requirements. |
| user_password_below_min_length | Parameter user `password` must be at least 8 characters long |
| user_password_above_max_length | Parameter user `password` must not exceed 32 characters |
| user_password_rule_mismatch | Parameter user `password` must be at least 8 characters long and must have a letter and a number |
| resource_user_customer_id_lengthmax | Parameter `customer_id` is too long, it cannot exceed 50 characters |
| resource_user_customer_id_rule | Parameter `customer_id` is invalid. Only alphanumeric, spaces and these characters are allowed: - / \ # ( ) . , |
| resource_user_partner_id_rule | Parameter `partner_id` is invalid. Only alphanumeric, spaces and these characters are allowed: - / \ # ( ) . , |
| resource_user_partner_id_lengthmax | Parameter `partner_id` is too long, it cannot exceed 50 characters |
| resource_id_type_rule_not_matched | `id_number` format doesnt match the rule defined for the id_type |
| resource_user_mothers_maiden_name_rule | Paramter `mothers_maiden_name` must only contain letters and spaces |
| resource_user_mothers_first_name_rule | Paramter `mothers_first_name` must only contain letters and spaces |
| resource_user_mothers_first_name_lengthmax | Paramter `mothers_first_name` is too long, it cannot exceed 50 characters |
| resource_user_mothers_last_name_rule | Paramter `mothers_last_name` must only contain letters and spaces |
| resource_user_mothers_last_name_lengthmax | Paramter `mothers_last_name` is too long, it cannot exceed 50 characters |
| resource_user_marital_status_not_allowed | Invalid parameter `marital_status`, value not allowed |
| resource_user_mobile_country_code_not_allowed | Invalid parameter `mobile_country_code`, value not allowed |
| resource_user_mobile_country_code_lengthmax | `mobile_country_code` must not exceed 3 characters |
| resource_risk_service_blacklisted_error | Request parameters flagged and not allowed to signup |
| resource_user_email_unique | `email` is already in use |
| resource_risk_service_blacklisted_update_error | Request parameters flagged and not allowed to update. |
| unsuspend_flagged_user_not_allowed | Flagged user can not be unsuspended without risk exemption |
| resource_user_unrecognized_title | Invalid parameter `title`, Accepts [allowed_titles] |
| resource_user_unrecognized_gender | Invalid parameter `gender`, Accepts [allowed_genders] |
| resource_user_unrecognized_id_type | Invalid id_type |
| resource_user_id_type_and_number_invalid | id_number` must not be empty if `id_type` is provided and vice-versa |
| user_id_number_above_max_length | User `id_number` must not exceed 30 characters |
| resource_user_unrecognized_alt_id_type | Invalid alt_id_type |
| resource_user_alt_id_type_and_number_invalid | `alt_id_number` must not be empty if `alt_id_type` is provided and vice-versa |
| user_alt_id_number_above_max_length | User `alt_id_number` must not exceed 20 characters |
| resource_user_first_name_last_name_preferred_name_error | `first_name`, `last_name` and/or `preferred_name` can only be changed before wallet/card creation. |
| resource_user_wallet_fund_mobile_insufficient_dependency | Both `mobile_country_code` and `mobile` must be specified |
| future_birthday_not_allowed | Users `birthday` can not be a future date |
| resource_user_agent_id_lengthmax | Parameter `agent_id` is too long, it cannot exceed 50 characters |
| resource_user_agent_id_rule | Parameter `agent_id` is invalid. Only alphanumeric, spaces and these characters are allowed: - / \ # ( ) . , |
| resource_user_client_reference_id_lengthmax | Parameter `client_reference_id` is too long, it cannot exceed 50 characters |
| resource_user_client_reference_id_rule | Parameter `client_reference_id` is invalid. Only alphanumeric, spaces and these characters are allowed: - / \ # ( ) . , |
| resource_user_employer_name_lengthmax | Parameter `employer_name` is too long, it cannot exceed 50 characters |
| resource_user_employer_name_rule | Parameter `employer_name` is invalid. Only alphanumeric, spaces and these characters are allowed: / # ( ) . , - |
| resource_user_employment_type_lengthmax | Parameter `employment_type` is too long, it cannot exceed 100 characters |
| resource_user_employment_type_rule | Parameter `employment_type` is invalid. Only alphanumeric, spaces and these characters are allowed: / # ( ) . , - |
| resource_user_employment_type_not_allowed | Invalid parameter `employment_type`, value not allowed |
| resource_user_source_of_funds_lengthmax | Parameter `source_of_funds` is too long, it cannot exceed 100 characters |
| resource_user_source_of_funds_rule | Parameter `source_of_funds` is invalid. Only alphanumeric, spaces and these characters are allowed: / # ( ) . , - |
| resource_user_source_of_funds_not_allowed | Invalid parameter `source_of_funds`, value not allowed |
| resource_user_occupation_lengthmax | Parameter `occupation` is too long, it cannot exceed 100 characters |
| resource_user_occupation_rule | Parameter `occupation` is invalid. Only alphanumeric, spaces and these characters are allowed: / # ( ) . , - |
| resource_user_occupation_not_allowed | Invalid parameter `occupation`, value not allowed |
| resource_user_volume_of_assets_lengthmax | Parameter `volume_of_assets` is too long, it cannot exceed 100 characters |
| resource_user_volume_of_assets_rule | Parameter `volume_of_assets` is invalid. Only alphanumeric, spaces and these characters are allowed: / # ( ) . , - |
| resource_user_volume_of_assets_not_allowed | Invalid parameter `volume_of_assets`, value not allowed |
| Either `id_date_expiry` or `id_date_issue` parameter is empty | Either `alt_id_date_expiry` or `alt_id_date_issue` parameter is empty |
Response Attributes
codeinteger Required
descriptionstring Required
linkstring Required
401
Object
Bad Request
Response Attributes
codeinteger Required
descriptionstring Required
linkstring Required
403
Object
Forbidden
| Code | Description | Examples/Notes|
| :---------- | :---------- | :-------------|
| restricted_resource | Access with method `POST` denied |
| risk_management_engine_error | An exception occurred during the processing of the risk and compliance of the user. |
| user_blocked_risk_threshold_exceeded | User have exceeded the risk and compliance threshold and was automatically blocked. |
| enity_blocked_risk_threshold_exceeded | Entity '{entity}.{attribute}' requested for evaluation is blacklisted | Entity 'customer.first_name' requested for evaluation is blacklisted. |
Response Attributes
codeinteger Required
descriptionstring Required
linkstring Required
404
Object
Forbidden
| Code | Description |
| :---------- | :---------- |
| user_record_not_found | User record not found. |
| user_improper_id | Resource incomplete |
Response Attributes
codeinteger Required
descriptionstring Required
linkstring Required
500
Object
Forbidden
| Code | Description |
| :---------- | :---------- |
| resource_risk_service_config_error | Unable to process the request due invalid risk service configuration. |